Package org.eclipse.emf.cdo.ui.compare

# Interface CDOCompareEditorUtil.ContentsCreator

All Known Implementing Classes:
  `CDOCompareEditorUtil.InputHolder`

Enclosing class:
  `CDOCompareEditorUtil`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface CDOCompareEditorUtil.ContentsCreator
An optional mix-in interface for `input consumers` that want to customize the creation of the visual controls of the Compare UI.

Since:
  4.9
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`Control`
`createContents(Composite parent, Function<Composite,Control> defaultContentsCreator)`

## Method Details

### createContents

Control createContents(Composite parent, Function<Composite,Control> defaultContentsCreator)